Debian Bug report logs - #473401
grub-installer: grub2 config for Windows partition does not boot

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Paul Wise <pabs@debian.org>

Date: Sun, 30 Mar 2008 13:09:02 UTC

Severity: normal

Merged with 488294, 492717, 497198, 498439, 498441, 498614, 501942, 517369

Found in version grub-installer/1.29

Fixed in version grub-installer/1.38

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, grub@packages.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to grub@packages.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-installer: grub2 config for Windows partition does not boot
Date: Sun, 30 Mar 2008 21:01:18 +0800
[Message part 1 (text/plain, inline)]
Package: grub-installer
Version: 1.29
Severity: normal
X-Debbugs-CC: grub@packages.debian.org

I did an install from debian.exe with d-i dailies to install sid
(#473364). Unfortunately the /etc/grub.d/30_otheros that was generated
did not allow me to boot Windows. Simply changing (hd0,0) to (hd0,1)
fixed this. Looks like grub2 uses 1-based partition indexes instead of
0-based ones like grub1 did.

CC to grub@p.d.o requested by nyu.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 477094 added: 470894, 473401, 477083, 477090, and 477092 Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 20 Apr 2008 22:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Message #10 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Paul Wise <pabs@debian.org>
Cc: 473401@bugs.debian.org
Subject: Re: grub-installer: grub2 config for Windows partition does not boot
Date: Wed, 30 Apr 2008 23:38:56 +0200
On Sun, Mar 30, 2008 at 09:01:18PM +0800, Paul Wise wrote:
> Package: grub-installer
> Version: 1.29
> Severity: normal
> X-Debbugs-CC: grub@packages.debian.org
> 
> I did an install from debian.exe with d-i dailies to install sid
> (#473364). Unfortunately the /etc/grub.d/30_otheros that was generated
> did not allow me to boot Windows. Simply changing (hd0,0) to (hd0,1)
> fixed this. Looks like grub2 uses 1-based partition indexes instead of
> 0-based ones like grub1 did.

This patch gets rid of the problem by simplifiing the convert() function like
we did for grub-install/update-grub.  Although maybe it's a bit too radical.

But since we're committed to use this approach in the grub package, I think
it's a good idea to do the same on D-I.

Comments?

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call… if you are unable to speak?
(as seen on /.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Message #13 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Paul Wise <pabs@debian.org>
Cc: 473401@bugs.debian.org
Subject: Re: grub-installer: grub2 config for Windows partition does not boot
Date: Wed, 30 Apr 2008 23:44:54 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr 30, 2008 at 11:38:56PM +0200, Robert Millan wrote:
> 
> This patch gets rid of the problem [...]

argh.  There was supposed to be a patch...

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call… if you are unable to speak?
(as seen on /.)
[grub-installer.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 473401@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Thu, 1 May 2008 11:51:03 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr 30, 2008 at 11:38:56PM +0200, Robert Millan wrote:
> This patch gets rid of the problem by simplifiing the convert() function like
> we did for grub-install/update-grub.  Although maybe it's a bit too radical.
> 
> But since we're committed to use this approach in the grub package, I think
> it's a good idea to do the same on D-I.
> 
> Comments?

How extensively have you tested that patch?  On first look, I am all
in favor of reducing code complexity in d-i. :)

Does this change affect rescue mode as well?

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 473401@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Robert Millan <rmh@aybabtu.com>, 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Thu, 1 May 2008 14:46:58 +0200
[Message part 1 (text/plain, inline)]
On Wednesday 30 April 2008, Robert Millan wrote:
> Comments?

That whole section is preceded by these comments:
## This is copied from update-grub; we've requested that it be moved
## to a utility or shell library

Seems like this has now happened and that grub-probe is the utility we've 
been waiting for? If that is the case, I don't think there should be any 
objections to something like this patch.

It should however then also update these preceding comments, and probably 
the function itself should be renamed. I also miss some kind of error 
handling in case grub-probe fails.

IMO the following should be checked _before_ we merge this patch:
1) does grub-probe produce the same output for the same input
2) does it support _all_ the different device types that grub-installer
   supports, _including_ the recently added ones (vdX and xvdX) and for
   example multipath (/dev/mapper/mpath*); if not these should be added
   in grub-probe *first*
3) does it also support gnu*, freebsd* and netbsd* host OS and, if not, does
   it return an error; if not we should keep that coded in grub-installer

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 473401@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Robert Millan <rmh@aybabtu.com>
Cc: 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Thu, 1 May 2008 15:08:20 +0200
[Message part 1 (text/plain, inline)]
On Thursday 01 May 2008, Frans Pop wrote:
> It should however then also update these preceding comments, and probably
> the function itself should be renamed. I also miss some kind of error
> handling in case grub-probe fails.

It should also probably be run using log-output so errors get recorded in 
the syslog.

Looking at grub-probe I also think we might be able to further simplify 
grub-installer by calling it with a path instead of a device, but that can 
wait until later. Adding a comment for that could be useful though.

> 3) does it also support gnu*, freebsd* and netbsd* host OS and, if not,
> does it return an error; if not we should keep that coded in
> grub-installer

What about the hurd_convert function in grub-installer?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to 473401@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 473401@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 473401@bugs.debian.org
Cc: Robert Millan <rmh@aybabtu.com>
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Wed, 7 May 2008 15:24:03 +0200
[Message part 1 (text/plain, inline)]
On Thursday 01 May 2008, Frans Pop wrote:
> 2) does it support _all_ the different device types that grub-installer
>    supports, _including_ the recently added ones (vdX and xvdX) and for
>    example multipath (/dev/mapper/mpath*); if not these should be added
>    in grub-probe *first*

Alternatively we could keep support for some of these cases in 
grub-installer, but that would mean we'd have to also fix the original 
issue there...
The main thing is that we do need an overview of what is and is not 
supported by grub-probe when compared to current grub-installer code.
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 473401 added: 483971 Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Mon, 02 Jun 2008 09:39:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Message #38 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Mon, 2 Jun 2008 11:48:08 +0200
On Thu, May 01, 2008 at 11:51:03AM +0200, Jérémy Bobbio wrote:
> On Wed, Apr 30, 2008 at 11:38:56PM +0200, Robert Millan wrote:
> > This patch gets rid of the problem by simplifiing the convert() function like
> > we did for grub-install/update-grub.  Although maybe it's a bit too radical.
> > 
> > But since we're committed to use this approach in the grub package, I think
> > it's a good idea to do the same on D-I.
> > 
> > Comments?
> 
> How extensively have you tested that patch?  On first look, I am all
> in favor of reducing code complexity in d-i. :)

Didn't test it yet.  But I will if we're going to commit it, of course.

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What good is a phone call… if you are unable to speak?
(as seen on /.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Message #41 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Frans Pop <elendil@planet.nl>, 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Mon, 2 Jun 2008 12:08:12 +0200
On Thu, May 01, 2008 at 02:46:58PM +0200, Frans Pop wrote:
> IMO the following should be checked _before_ we merge this patch:
> 1) does grub-probe produce the same output for the same input

Short answer is "no promises";  but I should ellaborate.  Both methods are
basically flawed; they try to guess how the BIOS will number devices, which
can't be done reliably unless you ask the BIOS [1].  Most of the time they
succeed, though, because all disks are part of the same bus (and there's
an "obvious" way to count them, shared by Linux and the BIOS).

When they're not part of the same bus, or when counting depends on races
during bus probing, both methods only succeed if you're lucky.  Whether
they make the same choices or not is not really much relevant;  only luck
is ;-)

[1] The long term solution to this problem will be to use UUIDs in GRUB
    just like Linux does.  GRUB 2 started doing this for the most relevant
    disk accesses, although not everything is handled this way yet.

> 2) does it support _all_ the different device types that grub-installer
>    supports, _including_ the recently added ones (vdX and xvdX) and for
>    example multipath (/dev/mapper/mpath*); if not these should be added
>    in grub-probe *first*

vdX and xvdX were added in #479056 and #456777.  For Multipath you already
know about #483971 which is in need of some testing.

We also have one for IDA (my patch is at #483858, anyone can test?) and I2O
is supposedly supported but by looking at the code I suspect it might be
unhappy (please test!).

Not sure if there are others, but we didn't get reports about them (and I
don't like to add these blindly before we get someone to test patches).

> 3) does it also support gnu*, freebsd* and netbsd* host OS and, if not, does
>    it return an error; if not we should keep that coded in grub-installer

These are supported.

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What good is a phone call… if you are unable to speak?
(as seen on /.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. Full text and rfc822 format available.

Message #44 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Frans Pop <elendil@planet.nl>, 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Mon, 2 Jun 2008 12:14:15 +0200
On Thu, May 01, 2008 at 03:08:20PM +0200, Frans Pop wrote:
> 
> Looking at grub-probe I also think we might be able to further simplify 
> grub-installer by calling it with a path instead of a device, but that can 
> wait until later. Adding a comment for that could be useful though.

Path resolution in grub-probe is expensive.  If you reliably know the device,
it is better if you feed it that.  Otherwise it will traverse /dev to find it.

The idea here is to avoid trouble derived from broken fstab (very common when
installing grub from inside a chroot or so).  But if you're in a controlled
environment like D-I, this shouldn't be an issue.

> What about the hurd_convert function in grub-installer?

This should stay, it's outside the scope of grub-probe.

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What good is a phone call… if you are unable to speak?
(as seen on /.)




Blocking bugs of 473401 added: 483858 Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Mon, 02 Jun 2008 10:30:04 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Sun, 29 Jun 2008 12:21:14 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Mon, 28 Jul 2008 13:21:04 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717 497198. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Sat, 30 Aug 2008 19:21:04 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717 497198 498439 498441. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Wed, 10 Sep 2008 08:00:04 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717 497198 498439 498441 498614. Request was from "Niko Cavallini Araya" <niko.cava@gmail.com> to control@bugs.debian.org. (Sat, 13 Sep 2008 01:12:05 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717 497198 498439 498441 498614 501942. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Sun, 12 Oct 2008 08:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Mon, 03 Nov 2008 17:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Nov 2008 17:36:10 GMT) Full text and rfc822 format available.

Message #63 received at 473401@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 473401@bugs.debian.org
Cc: 473401-submitter@bugs.debian.org, rmh@aybabtu.com
Subject: grub2 related patch
Date: Tue, 4 Nov 2008 02:31:19 +0900
Hi,

Roert's patch certainly address issue of grub 2 partition number
elegantly, it does not address wrong text presented to the user as d-i
interaction.

I made similar patch but with all the text and its translations.
See it at http://bugs.debian.org/502446
I also made beta2 netinst with corrected package.
It fix situation for me but can you test them too.

  http://people.debian.org/~osamu/grub-installer_1.35.all.diff.gz 
  http://people.debian.org/~osamu/d-i-osamu-grub2-all-translation-amd64.iso

It will be easier to check diff w/o po:
 http://people.debian.org/~osamu/grub-installer_1.35.all-but-po.diff.gz

Osamu

PS: My patch is less logical change within grub-installer.




Message sent on to Paul Wise <pabs@debian.org>:
Bug#473401. (Mon, 03 Nov 2008 17:36:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Sat, 29 Nov 2008 22:25:14 GMT) Full text and rfc822 format available.

Message #69 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Sat, 29 Nov 2008 22:56:28 +0100
On Mon, Jun 02, 2008 at 12:08:12PM +0200, Robert Millan wrote:
> > 2) does it support _all_ the different device types that grub-installer
> >    supports, _including_ the recently added ones (vdX and xvdX) and for
> >    example multipath (/dev/mapper/mpath*); if not these should be added
> >    in grub-probe *first*
> 
> vdX and xvdX were added in #479056 and #456777.  For Multipath you already
> know about #483971 which is in need of some testing.
> 
> We also have one for IDA (my patch is at #483858, anyone can test?) and I2O
> is supposedly supported but by looking at the code I suspect it might be
> unhappy (please test!).
> 
> Not sure if there are others, but we didn't get reports about them (and I
> don't like to add these blindly before we get someone to test patches).

Status update:

  - vdX and xvdX are supported
  - ida is supported
  - i2o is supported
  - I don't know the status of multipath, except that GRUB never supported it.
    I know grub-installer has some hack which is supposed to make it work, but
    I have no idea if my proposed change would break that or not

Alternatively, you can fix convert() to add '1' to each partition.  This
compensates for GRUB 2 counting partitions from 1 instead of 0.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Sun, 30 Nov 2008 08:48:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 30 Nov 2008 08:48:30 GMT) Full text and rfc822 format available.

Message #74 received at 473401@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Robert Millan <rmh@aybabtu.com>, 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Sun, 30 Nov 2008 08:55:18 +0100
On Sat, Nov 29, 2008 at 10:56:28PM +0100, Robert Millan wrote:
[..snip..] 
> Status update:
> 
>   - vdX and xvdX are supported
>   - ida is supported
>   - i2o is supported
>   - I don't know the status of multipath, except that GRUB never supported it.
>     I know grub-installer has some hack which is supposed to make it work, but
>     I have no idea if my proposed change would break that or not
The "hack" to grub installer is basically the same as what dmraid used.
It needs a one line fix in grub legacy too:
 http://git.debian.org/?p=users/agx/grub-legacy.git;a=commit;h=e6dfc970b49a1dbc91ce33f67fa095f89a533a67
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Sun, 30 Nov 2008 14:15:02 GMT) Full text and rfc822 format available.

Message #77 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Guido Günther <agx@sigxcpu.org>
Cc: 473401@bugs.debian.org
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Sun, 30 Nov 2008 15:13:52 +0100
On Sun, Nov 30, 2008 at 08:55:18AM +0100, Guido Günther wrote:
> On Sat, Nov 29, 2008 at 10:56:28PM +0100, Robert Millan wrote:
> [..snip..] 
> > Status update:
> > 
> >   - vdX and xvdX are supported
> >   - ida is supported
> >   - i2o is supported
> >   - I don't know the status of multipath, except that GRUB never supported it.
> >     I know grub-installer has some hack which is supposed to make it work, but
> >     I have no idea if my proposed change would break that or not
> The "hack" to grub installer is basically the same as what dmraid used.
> It needs a one line fix in grub legacy too:
>  http://git.debian.org/?p=users/agx/grub-legacy.git;a=commit;h=e6dfc970b49a1dbc91ce33f67fa095f89a533a67

I've seen this patch before.  As I said on
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442382#66 it doesn't work
on current GRUB.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Sun, 30 Nov 2008 22:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 30 Nov 2008 22:21:11 GMT) Full text and rfc822 format available.

Message #82 received at 473401@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Robert Millan <rmh@aybabtu.com>
Cc: 473401@bugs.debian.org, Guido Günther <agx@sigxcpu.org>
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Sun, 30 Nov 2008 19:41:50 -0200
Robert Millan <rmh@aybabtu.com> writes:

> On Sun, Nov 30, 2008 at 08:55:18AM +0100, Guido Günther wrote:
>> On Sat, Nov 29, 2008 at 10:56:28PM +0100, Robert Millan wrote:
>> [..snip..] 
>> > Status update:
>> > 
>> >   - vdX and xvdX are supported
>> >   - ida is supported
>> >   - i2o is supported
>> >   - I don't know the status of multipath, except that GRUB never supported it.
>> >     I know grub-installer has some hack which is supposed to make it work, but
>> >     I have no idea if my proposed change would break that or not
>> The "hack" to grub installer is basically the same as what dmraid used.
>> It needs a one line fix in grub legacy too:
>>  http://git.debian.org/?p=users/agx/grub-legacy.git;a=commit;h=e6dfc970b49a1dbc91ce33f67fa095f89a533a67
>
> I've seen this patch before.  As I said on
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442382#66 it doesn't work
> on current GRUB.

We, basically with grub-probe we end in same situation as current? Is
it right?

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Sun, 30 Nov 2008 23:18:13 GMT) Full text and rfc822 format available.

Message #85 received at 473401@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Otavio Salvador <otavio@debian.org>
Cc: 473401@bugs.debian.org, Guido Günther <agx@sigxcpu.org>
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Mon, 1 Dec 2008 00:12:42 +0100
On Sun, Nov 30, 2008 at 07:41:50PM -0200, Otavio Salvador wrote:
> Robert Millan <rmh@aybabtu.com> writes:
> 
> > On Sun, Nov 30, 2008 at 08:55:18AM +0100, Guido Günther wrote:
> >> On Sat, Nov 29, 2008 at 10:56:28PM +0100, Robert Millan wrote:
> >> [..snip..] 
> >> > Status update:
> >> > 
> >> >   - vdX and xvdX are supported
> >> >   - ida is supported
> >> >   - i2o is supported
> >> >   - I don't know the status of multipath, except that GRUB never supported it.
> >> >     I know grub-installer has some hack which is supposed to make it work, but
> >> >     I have no idea if my proposed change would break that or not
> >> The "hack" to grub installer is basically the same as what dmraid used.
> >> It needs a one line fix in grub legacy too:
> >>  http://git.debian.org/?p=users/agx/grub-legacy.git;a=commit;h=e6dfc970b49a1dbc91ce33f67fa095f89a533a67
> >
> > I've seen this patch before.  As I said on
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442382#66 it doesn't work
> > on current GRUB.
> 
> We, basically with grub-probe we end in same situation as current? Is
> it right?

For devices other than multipath, you can't get any regression, since if
grub-probe didn't support them grub isn't going to be usable anyway.

For multipath, I'm not familiar with how it works, and speficically what
does grub-installer do to support it, so I don't know.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Fri, 05 Dec 2008 13:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 05 Dec 2008 13:51:10 GMT) Full text and rfc822 format available.

Message #90 received at 473401@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Robert Millan <rmh@aybabtu.com>, 473401@bugs.debian.org
Cc: Otavio Salvador <otavio@debian.org>
Subject: Re: Bug#473401: grub-installer: grub2 config for Windows partition does not boot
Date: Fri, 5 Dec 2008 14:48:25 +0100
On Mon, Dec 01, 2008 at 12:12:42AM +0100, Robert Millan wrote:
> For multipath, I'm not familiar with how it works, and speficically what
> does grub-installer do to support it, so I don't know.
Support for multipath in grub-installer is modeled straight after dmraid.

It gets the relevant disk and partition via a call to "multipath -l" and
then installs grub like:

        TERM=linux $chroot $ROOT \
        grub --device-map=/dev/null >/var/log/grub-${frtype}.log 2>&1 </dev/null <<EOF
device (hd0,$frgrubroot) $disc_offered
device (hd0) $frdev
root (hd0,$frgrubroot)
setup (hd0)
quit
EOF

This broke as soon as we switched from grub legacy to grub2, so it
probably doesn't hurt much as folks have to fetch a patched grub
(#442381) legacy and install it by hand anyway:
  http://wiki.debian.org/DebianInstaller/MultipathSupport

Debian's relevance in these HA storage areas is quiet low anyway and
since RHEL and SLES suport it nicely:
 http://sources.redhat.com/lvm2/wiki/MultipathUsageGuide
it's probably not worh bothering too much at all.
Cheers,
 -- Guido




Forcibly Merged 473401 488294 492717 497198 498439 498441 498614 501942 517369. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Tue, 10 Mar 2009 20:15:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Wed, 10 Jun 2009 16:03:08 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:05 GMT) Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:06 GMT) Full text and rfc822 format available.

Message #99 received at 473401-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 473401-close@bugs.debian.org
Subject: Bug#473401: fixed in grub-installer 1.38
Date: Fri, 12 Jun 2009 19:17:08 +0000
Source: grub-installer
Source-Version: 1.38

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive:

grub-installer_1.38.dsc
  to pool/main/g/grub-installer/grub-installer_1.38.dsc
grub-installer_1.38.tar.gz
  to pool/main/g/grub-installer/grub-installer_1.38.tar.gz
grub-installer_1.38_amd64.udeb
  to pool/main/g/grub-installer/grub-installer_1.38_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473401@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Jun 2009 16:04:27 -0300
Source: grub-installer
Binary: grub-installer
Architecture: source amd64
Version: 1.38
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 473401 529363
Changes: 
 grub-installer (1.38) unstable; urgency=low
 .
   [ Colin Watson ]
   * Make findfs use the last of any mounts found, in case there's more than
     one due to pilot error in the partitioner (LP: #289101).
   * Use grub-ieee1275 on powerpc, not grub-of which no longer exists.
 .
   [ Max Vozeler ]
   * Use grub2 when ext4 is chosen (closes: #529363).
 .
   [ Felix Zielcke ]
   * Change the debhelper compat level to 7 and bump the build
     dependency.
   * Replace deprecated `dh_clean -k' with `dh_prep'.
   * Remove the lintian overrides, they're no longer needed.
   * Use UUIDs in the grub2 generated menuentrys. (Closes: #473401)
   * Add drivemap in the grub2 generated menuentry for DOS/Windows in
     case a recent grub2 gets installed.
   * Don't pass -y to update-grub. grub-legacy in lenny just prints out a
     warning.
 .
   [ Otavio Salvador ]
   * Add Felix Zielcke in uploads field and set DM-Upload-allowed to
     allow him to upload.
Checksums-Sha1: 
 6dde4a27f60ccc2cdbb02c8ca2b5d31b2ac95e9e 1043 grub-installer_1.38.dsc
 6647dca85568a2335e85e57cadf15f54ec579cf8 161446 grub-installer_1.38.tar.gz
 19af92871dadbd136390d34f68b55f594bb558fa 153606 grub-installer_1.38_amd64.udeb
Checksums-Sha256: 
 0fd3082bccea9187fa0339d616a31a6305703428c1a9625e609edb2131f6a76b 1043 grub-installer_1.38.dsc
 2b3412eb10c1cf1e76be882eeaf803655043815eacd8cd13460774c7d0f9e2ba 161446 grub-installer_1.38.tar.gz
 ad869b0c27339525b543adb16bdb8fe5e5189ae3abd16f1f50c7e5417080b4b2 153606 grub-installer_1.38_amd64.udeb
Files: 
 61c400eba52f3b45a0e6f84adc72ec5a 1043 debian-installer standard grub-installer_1.38.dsc
 eb481c8f701916b10f405dd9d7b704ab 161446 debian-installer standard grub-installer_1.38.tar.gz
 174e9454edfbd80a937a1a0a6fa603bc 153606 debian-installer standard grub-installer_1.38_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoypxgACgkQLqiZQEml+FUoZwCgl2Oc+1OBo2XuQ4Ib101Kw/uu
BAgAniQzP85k92ocV9vydLMFN/5h1Tn1
=jmgV
-----END PGP SIGNATURE-----





Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:06 GMT) Full text and rfc822 format available.

Notification sent to Frank Ströhlein <pullup@web.de>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:06 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:07 GMT) Full text and rfc822 format available.

Notification sent to Felix Zielcke <fzielcke@z-51.de>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:07 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:08 GMT) Full text and rfc822 format available.

Notification sent to Niko Cavallini Araya <niko.cava@gmail.com>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:08 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:09 GMT) Full text and rfc822 format available.

Notification sent to "wolfman.wu" <r6aix@21cn.com>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:09 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:10 GMT) Full text and rfc822 format available.

Notification sent to "wolfman.wu" <r6aix@21cn.com>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:10 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:12 GMT) Full text and rfc822 format available.

Notification sent to Alexander Prinsier <debianbugs@aphexer.mailhaven.com>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:12 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:12 GMT) Full text and rfc822 format available.

Notification sent to clue <spamfang1199@yahoo.de>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:12 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:13 GMT) Full text and rfc822 format available.

Notification sent to Andrea Brenci <andrea.brenci@libero.it>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473401; Package grub-installer. (Sat, 13 Jun 2009 10:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Brenci <andrea.brenci@libero.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 13 Jun 2009 10:45:05 GMT) Full text and rfc822 format available.

Message #144 received at 473401@bugs.debian.org (full text, mbox):

From: Andrea Brenci <andrea.brenci@libero.it>
To: 473401@bugs.debian.org
Subject: Re: Bug#517369 closed by Otavio Salvador <otavio@debian.org> (Bug#473401: fixed in grub-installer 1.38)
Date: Sat, 13 Jun 2009 12:42:51 +0200
On Fri, Jun 12, 2009 at 07:36:13PM +0000, Debian Bug Tracking System wrote:
> From: Otavio Salvador <otavio@debian.org>
> Subject: Bug#473401: fixed in grub-installer 1.38
> To: 473401-close@bugs.debian.org
> Date: Fri, 12 Jun 2009 19:17:08 +0000
> 
> Source: grub-installer
> Source-Version: 1.38
> 
> We believe that the bug you reported is fixed in the latest version of
> grub-installer, which is due to be installed in the Debian FTP archive:
> 
Unfortunately it doesn't seem fixed for me: after using "Debian GNU/Linux
testing "Squeeze" - Official Snapshot i386 NETINST Binary-1
20090613-03:56" to install a new system, I still need to manually change
all the entries "set root=(hd0,x)" into "set root=(hd0,x+1)" in the
30_otheros file.

Andrea




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Oct 2009 07:28:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:06:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.